const fs = require('fs');
const path = require('path');
const babylon = require('babylon');
const traverse =  require("babel-traverse").default;
const generator = require("babel-generator").default;
const t = require("babel-types");

Route = function(){

}

Route.createRoute = function(name){
  var fileContent = fs.readFileSync(path.resolve('./src/routes/index.js') ,'utf-8');
  fileContent = fileContent.replace(`children: [`,`children: [
    {
      path: '/${name}',
      load: () => import(/* webpackChunkName: '${name}' */ './${name}'),
      loadMobile: () => import(/* webpackChunkName: '${name}_mb' */ './${name}/index.mb'),
    },`);
  fs.writeFileSync(path.resolve('./src/routes/index.js') ,fileContent ,'utf-8');

  var fileContent = fs.readFileSync(path.resolve('./src/routes/index.dev.js') ,'utf-8');
  fileContent = fileContent.replace(`/* --- 此处为调试页面,无须上传----- */`,`/* --- 此处为调试页面,无须上传----- */
    {
      path: '/${name}',
      load: () => import(/* webpackChunkName: '${name}' */ './${name}'),
      loadMobile: () => import(/* webpackChunkName: '${name}_mb' */ './${name}/index.mb'),
    },`);
  fs.writeFileSync(path.resolve('./src/routes/index.dev.js') ,fileContent ,'utf-8');

  console.log('done');
}

module.exports = Route;
